<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: pam_config.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_8adf8e45060761504798219bdd80cc32.html">pam_pkcs11</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">pam_config.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="pam__config_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * PKCS #11 PAM Login Module</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright (C) 2003 Mario Strasser &lt;mast@gmx.net&gt;,</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * config mgmt copyright (c) 2005 Juan Antonio Martinez &lt;jonsito@teleline.es&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * This library is free software; you can redistribute it and/or</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * modify it under the terms of the GNU Lesser General Public</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * License as published by the Free Software Foundation; either</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * version 2.1 of the License, or (at your option) any later version.</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * This library is distributed in the hope that it will be useful,</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * Lesser General Public License for more details.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * $Id$</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">* configuration related functions</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#ifndef _PAM_CONFIG_H_</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#define _PAM_CONFIG_H_</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;../scconf/scconf.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;../common/cert_vfy.h&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="structconfiguration__st.html">   28</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structconfiguration__st.html">configuration_st</a> {</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#ae470f89750d29fcf5ee65ee9cc8401b3">   29</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structconfiguration__st.html#ae470f89750d29fcf5ee65ee9cc8401b3">config_file</a>;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#af0b2df011c34f8fe634d743277c8b2e9">   30</a></span>&#160;        <a class="code" href="structscconf__context.html">scconf_context</a> *<a class="code" href="structconfiguration__st.html#af0b2df011c34f8fe634d743277c8b2e9">ctx</a>;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#ac3e1795766a80ec63b157951b4b9a7d4">   31</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#ac3e1795766a80ec63b157951b4b9a7d4">debug</a>;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a4fd99a82f5c18e8d9498a082d5fead20">   32</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#a4fd99a82f5c18e8d9498a082d5fead20">nullok</a>;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a01e1623bc1eaa88121961d51ede0edd2">   33</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#a01e1623bc1eaa88121961d51ede0edd2">try_first_pass</a>;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#ad9fda1e7a699ee36eea07f121f32cdbb">   34</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#ad9fda1e7a699ee36eea07f121f32cdbb">use_first_pass</a>;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#aff1484fd9a16ff58d32123fe31e055f2">   35</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#aff1484fd9a16ff58d32123fe31e055f2">use_authok</a>;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#ac8cdcc195e421e824c7e0177c7c7a2ed">   36</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#ac8cdcc195e421e824c7e0177c7c7a2ed">card_only</a>;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a08abc90f9dbaf52f04727d442d72e464">   37</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#a08abc90f9dbaf52f04727d442d72e464">wait_for_card</a>;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#ac770e8e1af245d2bda3725cde9129cc0">   38</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structconfiguration__st.html#ac770e8e1af245d2bda3725cde9129cc0">pkcs11_module</a>;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a2718dd6f019e3f5c280b033f441b6f33">   39</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structconfiguration__st.html#a2718dd6f019e3f5c280b033f441b6f33">pkcs11_modulepath</a>;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a53b6ccb7bbc6b39331bbe4cbe41785e3">   40</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> **<a class="code" href="structconfiguration__st.html#a53b6ccb7bbc6b39331bbe4cbe41785e3">screen_savers</a>;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#aae8f3caa5e9eb3988e930e9c10cd941f">   41</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structconfiguration__st.html#aae8f3caa5e9eb3988e930e9c10cd941f">slot_description</a>;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a0ee901702fdab81fdd8052f7e4d7f39c">   42</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#a0ee901702fdab81fdd8052f7e4d7f39c">slot_num</a>;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a8bcf65b1c5cbf560082d91ee91403d14">   43</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#a8bcf65b1c5cbf560082d91ee91403d14">support_threads</a>;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#aa8b12fc445dcfa4a31ef8b39578a523d">   44</a></span>&#160;        <a class="code" href="structcert__policy__st.html">cert_policy</a> <a class="code" href="structconfiguration__st.html#aa8b12fc445dcfa4a31ef8b39578a523d">policy</a>;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a1c0dd070a6d7b16be08ac0dd431c8d9b">   45</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structconfiguration__st.html#a1c0dd070a6d7b16be08ac0dd431c8d9b">token_type</a>;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#aba2dfcdfda80edcb531a5a7115d3e043">   46</a></span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structconfiguration__st.html#aba2dfcdfda80edcb531a5a7115d3e043">username</a>; <span class="comment">/* provided user name */</span></div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a55602ca214fb365e8deef9a73c8442e7">   47</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#a55602ca214fb365e8deef9a73c8442e7">quiet</a>;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="structconfiguration__st.html#a0801e9ae621390b7d7d9d5acc825bb6f">   48</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="structconfiguration__st.html#a0801e9ae621390b7d7d9d5acc825bb6f">err_display_time</a>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;};</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">struct </span><a class="code" href="structconfiguration__st.html">configuration_st</a> *<a class="code" href="pam__config_8h.html#ae11cd64c90461c3b086bf913d9ecc5f2">pk_configure</a>( <span class="keywordtype">int</span> argc, <span class="keyword">const</span> <span class="keywordtype">char</span> **argv );</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="structconfiguration__st_html_aae8f3caa5e9eb3988e930e9c10cd941f"><div class="ttname"><a href="structconfiguration__st.html#aae8f3caa5e9eb3988e930e9c10cd941f">configuration_st::slot_description</a></div><div class="ttdeci">const char * slot_description</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00041">pam_config.h:41</a></div></div>
<div class="ttc" id="structconfiguration__st_html_af0b2df011c34f8fe634d743277c8b2e9"><div class="ttname"><a href="structconfiguration__st.html#af0b2df011c34f8fe634d743277c8b2e9">configuration_st::ctx</a></div><div class="ttdeci">scconf_context * ctx</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00030">pam_config.h:30</a></div></div>
<div class="ttc" id="structconfiguration__st_html_aa8b12fc445dcfa4a31ef8b39578a523d"><div class="ttname"><a href="structconfiguration__st.html#aa8b12fc445dcfa4a31ef8b39578a523d">configuration_st::policy</a></div><div class="ttdeci">cert_policy policy</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00044">pam_config.h:44</a></div></div>
<div class="ttc" id="structcert__policy__st_html"><div class="ttname"><a href="structcert__policy__st.html">cert_policy_st</a></div><div class="ttdef"><b>Definition:</b> <a href="cert__vfy_8h_source.html#l00048">cert_vfy.h:48</a></div></div>
<div class="ttc" id="structconfiguration__st_html_aff1484fd9a16ff58d32123fe31e055f2"><div class="ttname"><a href="structconfiguration__st.html#aff1484fd9a16ff58d32123fe31e055f2">configuration_st::use_authok</a></div><div class="ttdeci">int use_authok</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00035">pam_config.h:35</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a4fd99a82f5c18e8d9498a082d5fead20"><div class="ttname"><a href="structconfiguration__st.html#a4fd99a82f5c18e8d9498a082d5fead20">configuration_st::nullok</a></div><div class="ttdeci">int nullok</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00032">pam_config.h:32</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a55602ca214fb365e8deef9a73c8442e7"><div class="ttname"><a href="structconfiguration__st.html#a55602ca214fb365e8deef9a73c8442e7">configuration_st::quiet</a></div><div class="ttdeci">int quiet</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00047">pam_config.h:47</a></div></div>
<div class="ttc" id="structconfiguration__st_html_aba2dfcdfda80edcb531a5a7115d3e043"><div class="ttname"><a href="structconfiguration__st.html#aba2dfcdfda80edcb531a5a7115d3e043">configuration_st::username</a></div><div class="ttdeci">const char * username</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00046">pam_config.h:46</a></div></div>
<div class="ttc" id="structconfiguration__st_html_ac8cdcc195e421e824c7e0177c7c7a2ed"><div class="ttname"><a href="structconfiguration__st.html#ac8cdcc195e421e824c7e0177c7c7a2ed">configuration_st::card_only</a></div><div class="ttdeci">int card_only</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00036">pam_config.h:36</a></div></div>
<div class="ttc" id="structconfiguration__st_html_ac3e1795766a80ec63b157951b4b9a7d4"><div class="ttname"><a href="structconfiguration__st.html#ac3e1795766a80ec63b157951b4b9a7d4">configuration_st::debug</a></div><div class="ttdeci">int debug</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00031">pam_config.h:31</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a08abc90f9dbaf52f04727d442d72e464"><div class="ttname"><a href="structconfiguration__st.html#a08abc90f9dbaf52f04727d442d72e464">configuration_st::wait_for_card</a></div><div class="ttdeci">int wait_for_card</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00037">pam_config.h:37</a></div></div>
<div class="ttc" id="structconfiguration__st_html_ac770e8e1af245d2bda3725cde9129cc0"><div class="ttname"><a href="structconfiguration__st.html#ac770e8e1af245d2bda3725cde9129cc0">configuration_st::pkcs11_module</a></div><div class="ttdeci">const char * pkcs11_module</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00038">pam_config.h:38</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a8bcf65b1c5cbf560082d91ee91403d14"><div class="ttname"><a href="structconfiguration__st.html#a8bcf65b1c5cbf560082d91ee91403d14">configuration_st::support_threads</a></div><div class="ttdeci">int support_threads</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00043">pam_config.h:43</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a2718dd6f019e3f5c280b033f441b6f33"><div class="ttname"><a href="structconfiguration__st.html#a2718dd6f019e3f5c280b033f441b6f33">configuration_st::pkcs11_modulepath</a></div><div class="ttdeci">const char * pkcs11_modulepath</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00039">pam_config.h:39</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a0801e9ae621390b7d7d9d5acc825bb6f"><div class="ttname"><a href="structconfiguration__st.html#a0801e9ae621390b7d7d9d5acc825bb6f">configuration_st::err_display_time</a></div><div class="ttdeci">int err_display_time</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00048">pam_config.h:48</a></div></div>
<div class="ttc" id="pam__config_8h_html_ae11cd64c90461c3b086bf913d9ecc5f2"><div class="ttname"><a href="pam__config_8h.html#ae11cd64c90461c3b086bf913d9ecc5f2">pk_configure</a></div><div class="ttdeci">struct configuration_st * pk_configure(int argc, const char **argv)</div></div>
<div class="ttc" id="structconfiguration__st_html_a01e1623bc1eaa88121961d51ede0edd2"><div class="ttname"><a href="structconfiguration__st.html#a01e1623bc1eaa88121961d51ede0edd2">configuration_st::try_first_pass</a></div><div class="ttdeci">int try_first_pass</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00033">pam_config.h:33</a></div></div>
<div class="ttc" id="structscconf__context_html"><div class="ttname"><a href="structscconf__context.html">scconf_context</a></div><div class="ttdef"><b>Definition:</b> <a href="scconf_8h_source.html#l00083">scconf.h:83</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a53b6ccb7bbc6b39331bbe4cbe41785e3"><div class="ttname"><a href="structconfiguration__st.html#a53b6ccb7bbc6b39331bbe4cbe41785e3">configuration_st::screen_savers</a></div><div class="ttdeci">const char ** screen_savers</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00040">pam_config.h:40</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a0ee901702fdab81fdd8052f7e4d7f39c"><div class="ttname"><a href="structconfiguration__st.html#a0ee901702fdab81fdd8052f7e4d7f39c">configuration_st::slot_num</a></div><div class="ttdeci">int slot_num</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00042">pam_config.h:42</a></div></div>
<div class="ttc" id="structconfiguration__st_html_a1c0dd070a6d7b16be08ac0dd431c8d9b"><div class="ttname"><a href="structconfiguration__st.html#a1c0dd070a6d7b16be08ac0dd431c8d9b">configuration_st::token_type</a></div><div class="ttdeci">const char * token_type</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00045">pam_config.h:45</a></div></div>
<div class="ttc" id="structconfiguration__st_html_ad9fda1e7a699ee36eea07f121f32cdbb"><div class="ttname"><a href="structconfiguration__st.html#ad9fda1e7a699ee36eea07f121f32cdbb">configuration_st::use_first_pass</a></div><div class="ttdeci">int use_first_pass</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00034">pam_config.h:34</a></div></div>
<div class="ttc" id="structconfiguration__st_html"><div class="ttname"><a href="structconfiguration__st.html">configuration_st</a></div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00028">pam_config.h:28</a></div></div>
<div class="ttc" id="structconfiguration__st_html_ae470f89750d29fcf5ee65ee9cc8401b3"><div class="ttname"><a href="structconfiguration__st.html#ae470f89750d29fcf5ee65ee9cc8401b3">configuration_st::config_file</a></div><div class="ttdeci">const char * config_file</div><div class="ttdef"><b>Definition:</b> <a href="pam__config_8h_source.html#l00029">pam_config.h:29</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
